<?php

function pr($var) {
    echo '<pre>';
    print_r($var);
    echo '</pre>';
}


/*ACF Including IN  Theme*/

// Define path and URL to the ACF plugin.
define('MY_ACF_PATH', get_stylesheet_directory() . '/acf/');
define('MY_ACF_URL', get_stylesheet_directory_uri() . '/acf/');

// Include the ACF plugin.
include_once(MY_ACF_PATH . 'acf.php');

// Customize the url setting to fix incorrect asset URLs.
add_filter('acf/settings/url', 'my_acf_settings_url');
function my_acf_settings_url($url) {
    return MY_ACF_URL;
}

add_filter('acf/settings/show_admin', function ($path) {

    return true; // Set false to hide UI in admin

});


if (function_exists('acf_add_options_page')) {

    $args = array(

        'page_title' => 'Theme Options'

    );

    acf_add_options_page($args);
}
/*ACF Including IN  Theme*/

function theme_scripts() {
    //site styles
    wp_enqueue_style('theme-bootstrap-style', get_stylesheet_directory_uri() . "/assets/css/bootstrap.min.css", array(), '', false);
    wp_enqueue_style('theme-fontawsome-style', get_stylesheet_directory_uri() . "/assets/css/all.css", array(), '', false);
    wp_enqueue_style('theme-default-style', get_stylesheet_directory_uri() . "/assets/css/default.css", array(), '', false);
    wp_enqueue_style('theme-main-style', get_stylesheet_directory_uri() . "/assets/css/style.css", array(), '', false);
    wp_enqueue_style('theme-style', get_stylesheet_uri());
    wp_enqueue_style('theme-media-style', get_stylesheet_directory_uri() . "/assets/css/media.css", array(), '', false);

    //site scripts
    //wp_enqueue_script('jquery');
    wp_enqueue_script('theme-jquery-scripts', get_template_directory_uri() . '/assets/js/jquery-3.2.1.min.js', array(), '', true);
    wp_enqueue_script('theme-bootstrap-scripts', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array(), '', true);
    wp_enqueue_script('theme-main-site-scripts', get_template_directory_uri() . '/assets/js/site-script.js', array(), '1.0.0', true);
}

add_action('wp_enqueue_scripts', 'theme_scripts');

/* theme support*/


function v_theme_support() {

    /*theme support woocommerce*/
    add_theme_support('woocommerce');


    add_theme_support('wc-product-gallery-zoom');
    add_theme_support('wc-product-gallery-lightbox');
    add_theme_support('wc-product-gallery-slider');

    // Add default posts and comments RSS feed links to head.
    add_theme_support('automatic-feed-links');


    // Custom background color.
    add_theme_support(
        'custom-background',
        array(
            'default-color' => 'f5efe0',
        )
    );
    add_theme_support('post-thumbnails');
    /*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
    add_theme_support('title-tag');

    /*
     * Switch default core markup for search form, comment form, and comments
     * to output valid HTML5.
     */
    add_theme_support(
        'html5',
        array(
            'search-form',
            'comment-form',
            'comment-list',
            'gallery',
            'caption',
            'script',
            'style',
            'navigation-widgets',
        )
    );

    /*
     * Make theme available for translation.
     * Translations can be filed in the /languages/ directory.
     * If you're building a theme based on Twenty Twenty, use a find and replace
     * to change 'twentytwenty' to the name of your theme in all the template files.
     */
    load_theme_textdomain('amaker');


}

add_action('after_setup_theme', 'v_theme_support');


/* theme support*/


/*menu*/
register_nav_menus(array(
    'main-menu' => 'Main Menu',
    'footer-menu-1' => 'Footer Menu 1',
    'footer-menu-2' => 'Footer Menu 2',
));
/*menu*/
/*remove archive prefix start*/
add_filter( 'get_the_archive_title_prefix', '__return_empty_string' );
/*remove archive prefix end*/


include('inc/widget.php');
include('inc/post-type.php');
include('inc/pagination.php');
