<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php wp_title(); ?></title>

    <?php
    $favicon = get_field('favicon', 'option');
    ?>
    <!--=== favicon ===-->
    <link href="<?php echo $favicon['url'] ?>" rel="icon">
    <link href="<?php echo $favicon['url'] ?>" rel="apple-touch-icon">
    <!--=== favicon ===-->
    <!--=== font ===-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;600;700;800;900&family=Poppins:ital,wght@0,400;0,500;0,600;0,700;0,900;1,800&display=swap"
          rel="stylesheet">

    <!--=== font ===-->


    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<!--===header start===-->
<?php
$logo = get_field('logo', 'option');

?>
<header>
    <div class="container">
        <div class="row align-items-center ">
            <div class="col-lg-2 col-6">
                <div class="v-logo">
                    <a href="<?php echo home_url() ?>"><img src="<?php echo $logo['url'] ?>"
                                                            alt="<?php echo $logo['alt'] ?>"></a>
                </div>
            </div>
            <div class="col-lg-10 col-6">
                <div class="d-none d-lg-block text-end">
                    <div class="v-menu">
                        <?php wp_nav_menu(array('theme_location' => 'main-menu')); ?>
                    </div>
                </div>
                <div class="d-block d-lg-none text-end">
                    <div class="v-menu-btn" data-bs-toggle="offcanvas"
                         data-bs-target="#vMobileMenu" aria-controls="vMobileMenu">
                        <i class="fa fa-list"></i> Menu
                    </div>
                </div>
            </div>

        </div>
    </div>
    <!--mobile menu start-->
    <div class="offcanvas offcanvas-start vMobileMenu" tabindex="-1" id="vMobileMenu"
         aria-labelledby="vMobileMenuLabel">
        <div class="text-white v-close" data-bs-dismiss="offcanvas">
            <i class="fa fa-times-circle"></i>
        </div>
        <div class="offcanvas-body">
         
            <div class=" v-mobile-menu v-menu">

            </div>
            <a class="v-cta" href="#">Contact Us</a>

        </div>

    </div>
    <!--mobile menu start-->


</header>
<!--===header end===-->
